{
  description = "NixOS configuration that may be helpful";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/21.11";
  };

  outputs = {
    self,
    nixpkgs
  }: let
    supportedSystems = [ "x86_64-linux" ];
    forAllSystems = nixpkgs.lib.attrsets.genAttrs supportedSystems;
  in {
    packages = forAllSystems (system: let
      pkgs = import nixpkgs { inherit system; };
    in {
      jabberSpam = pkgs.callPackage ./pkgs/jabberSpam.nix {};
      eturnal = pkgs.callPackage ./pkgs/eturnal {};
    });
  };
}
