{ lib, stdenv, fetchFromGitHub, ... }:

stdenv.mkDerivation {
  pname = "JabberSPAM-blacklist";
  # NOTE: YYYYMMDD of the pinned commit
  version = "20210305";

  src = fetchFromGitHub {
    owner = "JabberSPAM";
    repo = "blacklist";
    rev = "e7dca1fbaee932ccc4d9f761670a3f453533bbe9";
    sha256 = "1h69m3gd3xif71wlsg264c2smdly80r6j7z4yxfaqsn1ay4drp6m";
  };

  installPhase = ''
    mkdir $out/
    cp blacklist.txt $out/
  '';

  meta = with lib; {
    description = "Public Blacklist of Spam Servers";
    homepage = "https://github.com/JabberSPAM/blacklist";
    license = licenses.bsd3;
    maintainers = [];
  };
}
